## gatk-fermilite 1.2.1%2Bdfsg

=== src/main/c/Makefile ===
ifeq ($(JAVA_HOME),)
$(error $$(JAVA_HOME) is not defined)
endif

JNI_INCLUDE_DIRS=$(addprefix -I,$(shell find $(JAVA_HOME)/include -type d))
CFLAGS=-O2 -Wall -fPIC $(JNI_INCLUDE_DIRS)
CC=gcc

#OS-dependent extension lookup
UNAME := $(shell uname)
ifeq ($(UNAME),Darwin)
LIB_EXT=Darwin.dylib
else
LIB_EXT=Linux.so
endif

FERMI_LITE_COMMIT=562638112b7992f4d7a243ccd9ab2b3bd08c6b08
JNI_BASE_NAME=org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler

all: libfml.$(LIB_EXT)

libfml.$(LIB_EXT): $(JNI_BASE_NAME).o fermi-lite/libfml.a
	$(CC) -dynamiclib -shared -o $@ $^ -lm -lz -lpthread

fermi-lite:
	git clone https://github.com/lh3/fermi-lite && cd fermi-lite && git checkout $(FERMI_LITE_COMMIT) && echo '#define FML_COMMIT "'$(FERMI_LITE_COMMIT)'"' > fml_commit.h

fermi-lite/libfml.a: fermi-lite
	$(MAKE) CFLAGS="$(CFLAGS)" -C fermi-lite libfml.a

$(JNI_BASE_NAME).o: $(JNI_BASE_NAME).c fermi-lite/libfml.a

test: test.o fermi-lite/libfml.a
	$(CC) -o $@ $^ -lm -lz -lpthread

clean:
	rm -rf fermi-lite *.o *.$(LIB_EXT)

.PHONY: all clean

=== debian/control ===
Source: gatk-fermilite
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               gradle-debian-helper,
               libfml-dev,
               maven-repo-helper,
               testng <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/gatk-fermilite
Vcs-Git: https://salsa.debian.org/med-team/gatk-fermilite.git
Homepage: https://github.com/broadinstitute/gatk-fermilite-jni/
Rules-Requires-Root: no

Package: libgatk-fermilite-java
Architecture: all
Depends: libgatk-fermilite-jni (>= ${source:Version}),
         libgatk-fermilite-jni (<< ${source:Version}.1~),
         ${java:Depends},
         ${misc:Depends}
Suggests: fml-asm
Description: interface to call Heng Li's fermi-lite assembler from Java code
 Fml-asm (fermi-lite assembler) is a command-line tool for assembling Illumina
 short reads in regions from 100bp to 10 million bp in size, based on the
 fermi-lite library.
 .
 gatk-fermilite provides a Java library and a shared library to allow one to use
 fermilite from Java code.
 .
 This package contains the Java library.

Package: libgatk-fermilite-jni
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: interface to call Heng Li's fermi-lite assembler from Java code (jni)
 Fml-asm (fermi-lite assembler) is a command-line tool for assembling Illumina
 short reads in regions from 100bp to 10 million bp in size, based on the
 fermi-lite library.
 .
 gatk-fermilite provides a Java library and a shared library to allow one to use
 fermilite from Java code.
 .
 This package contains the JNI.

## gatk-fermilite 1.2.1+dfsg

=== debian/changelog ===
gatk-fermilite (1.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * buildflags.patch: new: forward build flags. (Closes: #1124857)
  * d/rules: flag false positive blhc non-verbose builds.
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Wed, 07 Jan 2026 20:45:55 +0100

gatk-fermilite (1.2.1+dfsg-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Pierre Gruet <pgt@debian.org>  Tue, 05 Apr 2022 20:52:27 +0200

gatk-fermilite (1.2.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1008128)

 -- Pierre Gruet <pgt@debian.org>  Fri, 25 Mar 2022 21:43:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: gatk-fermilite
 Section: java
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Pierre Gruet <pgt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                default-jdk-headless,
@@ -10,11 +8,10 @@
                libfml-dev,
                maven-repo-helper,
                testng <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/gatk-fermilite
 Vcs-Git: https://salsa.debian.org/med-team/gatk-fermilite.git
 Homepage: https://github.com/broadinstitute/gatk-fermilite-jni/
-Rules-Requires-Root: no
 
 Package: libgatk-fermilite-java
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export JAVA_HOME := /usr/lib/jvm/default-java

%:
	dh $@ --with maven_repo_helper

override_dh_auto_clean:
	dh_auto_clean
	if [ -e src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c.save ]; then \
	        mv src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c.save src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c; \
	fi
	# Cleaning the C part
	cd src/main/c/ && make clean
	# Cleaning the custom pom
	-rm debian/pom.xml

override_dh_auto_configure:
	# Putting the version of fermi-lite in the JNI file so that is can output version information.
	cp src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c.save
	fmlVersion=$$(dpkg -s libfml-dev | grep "Version" | sed 's/Version: \(.*\)-.*/\1/') && \
	        sed -i "s/FML_COMMIT/\"$$fmlVersion\"/" src/main/c/org_broadinstitute_hellbender_utils_fermi_FermiLiteAssembler.c
	# Putting the version number in the custom pom.
	sed 's/\(VERSION_PACKAGE\)/\1$(DEB_VERSION_UPSTREAM)/; s/VERSION_PACKAGE\(.*\)+dfsg[0-9]*/\1/' debian/pom.xml.in > debian/pom.xml
	@ echo 'blhc: ignore-line-regexp: Compiling .*\.gradle.*'
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# The shared lib should be looked for in its build directory.
	LD_LIBRARY_PATH="$$LD_LIBRARY_PATH:$$(readlink -f src/main/c)" dh_auto_test
endif

=== debian/watch ===
Version: 5

Template: Github
Owner: broadinstitute
Project: gatk-fermilite-jni
Compression: xz
Dversionmangle: auto
Repack: yes
Repacksuffix: +dfsg
